%global _hardened_build 1

Summary:       Network traffic recorder
Name:          tcpflow
Version:       1.6.1
Release:    1%{?dist}
License:       GPL+
URL:           https://github.com/simsong/tcpflow
Source0:       http://digitalcorpora.org/downloads/tcpflow/tcpflow-%{version}.tar.gz
Patch0:        tcpflow-1.6.1-format.patch
Patch1:        tcpflow-1.6.1-uint.patch
BuildRequires: make
BuildRequires: boost-devel
BuildRequires: cairo-devel
BuildRequires: gcc-c++
BuildRequires: libpcap-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel
%description
tcpflow is a program that captures data transmitted as part of TCP
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging. A program like 'tcpdump' shows a
summary of packets seen on the wire, but usually doesn't store the
data that's actually being transmitted. In contrast, tcpflow
reconstructs the actual data streams and stores each flow in a
separate file for later analysis.

%prep
%autosetup -p1

%build
export CPPFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags}"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL='install -p' install

%check
make check || :

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS
%{_bindir}/tcpflow
%{_mandir}/man1/tcpflow.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-1
- initial build
